<template>
  <div class="oauth-callback-page">
    <p class="text-danger">Error: no access token.</p>
  </div>
</template>
<script>
export default {
  meta: {
    public: true
  },
  middleware({ redirect }) {
    const hash = window.location.hash || '#'
    const hashParams = new URLSearchParams(hash.substring(1))
    if (hashParams.get('access_token')) {
      window.localStorage.accessToken = hashParams.get('access_token')
      return redirect('/studies')
    }
  }
}
</script>
<style lang="scss">
.oauth-callback-page {
  text-align: center;
}
</style>
